6.0.0-git
2019-10-14

[#14571] Attachments are saved in spite of save_attachments indicating otherwise in mobile modes
Summary Attachments are saved in spite of save_attachments indicating otherwise in mobile modes
Queue IMP
Queue Version 6.2.17
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester wahnes (at) uni-koeln (dot) de
Created 2017-02-02 (984 days ago)
Due
Updated 2017-10-20 (724 days ago)
Assigned
Resolved 2017-02-14 (972 days ago)
Milestone 6.2.18
Patch No

History
2017-10-20 20:33:44 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 3812ebf1c5565c05dee6efa73c483cefc12d568e
Author: Jan Schneider <jan@horde.org>
Date:   Tue, 14 Feb 2017 13:02:43 +0100

Only test for checkbox to save attachments if it exists.

Bug: 14571

  M lib/Ajax/Application/Handler/Common.php

https://github.com/horde/imp/commit/3812ebf1c5565c05dee6efa73c483cefc12d568e
2017-10-20 20:33:43 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 34d8f7bb37f0e7a284dc92365588b8891925ca01
Author: Jan Schneider <jan@horde.org>
Date:   Tue, 14 Feb 2017 12:47:59 +0100

Wrap

Preparing for bug #14571.

  M lib/Ajax/Application/Handler/Common.php

https://github.com/horde/imp/commit/34d8f7bb37f0e7a284dc92365588b8891925ca01
2017-02-14 12:58:23 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 3c5572b585e3a9ef872e809cd362270a0d0ca2e5
Author: Jan Schneider <jan@horde.org>
Date:   Tue Feb 14 13:02:43 2017 +0100

     Only test for checkbox to save attachments if it exists.

     Bug: 14571

  imp/lib/Ajax/Application/Handler/Common.php | 4 +++-
  1 file changed, 3 insertions(+), 1 deletion(-)

http://github.com/horde/horde/commit/3c5572b585e3a9ef872e809cd362270a0d0ca2e5
2017-02-14 12:58:22 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 5fbc691fb442c1983110fdce887ce9701c90f3e7
Author: Jan Schneider <jan@horde.org>
Date:   Tue Feb 14 12:47:59 2017 +0100

     Wrap

     Preparing for bug #14571.

  imp/lib/Ajax/Application/Handler/Common.php | 32 
+++++++++++++++++++++--------
  1 file changed, 24 insertions(+), 8 deletions(-)

http://github.com/horde/horde/commit/5fbc691fb442c1983110fdce887ce9701c90f3e7
2017-02-14 12:04:33 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 6.2.18
 
2017-02-14 12:04:25 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 8396aa7fd8edf17c188110fe4e37266bc2a1924b
Author: Jan Schneider <jan@horde.org>
Date:   Tue Feb 14 13:02:43 2017 +0100

     Only test for checkbox to save attachments if it exists.

     Bug: 14571

  imp/lib/Ajax/Application/Handler/Common.php | 4 +++-
  1 file changed, 3 insertions(+), 1 deletion(-)

http://github.com/horde/horde/commit/8396aa7fd8edf17c188110fe4e37266bc2a1924b
2017-02-14 12:04:23 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit f0fe81d4213d85e168d07ed53d9c1b415de3965a
Author: Jan Schneider <jan@horde.org>
Date:   Tue Feb 14 12:47:59 2017 +0100

     Wrap

     Preparing for bug #14571.

  imp/lib/Ajax/Application/Handler/Common.php | 32 
+++++++++++++++++++++--------
  1 file changed, 24 insertions(+), 8 deletions(-)

http://github.com/horde/horde/commit/f0fe81d4213d85e168d07ed53d9c1b415de3965a
2017-02-02 12:27:10 wahnes (at) uni-koeln (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Attachments are saved in spite of save_attachments indicating otherwise in mobile modes
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Both in smartmobile and in minimal mode, attachments of sent messages 
are saved to the "Sent" folder even if the save_attachments preference 
is set to "never", indicating that attachments should not be saved. 
This only happens in smartmobile and minimal mode, i.e. in basic and 
dynamic mode, the save_attachments preference is honored properly.

Saved Queries